Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 691836 - dev-python/grpcio-1.22.0 : src/.../log_linux.cc:43:13: error: ambiguating new declaration of long int gettid()
Summary: dev-python/grpcio-1.22.0 : src/.../log_linux.cc:43:13: error: ambiguating new...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL: https://github.com/grpc/grpc/pull/18950
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-09 15:28 UTC by Toralf Förster
Modified: 2020-03-10 00:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.99 KB, text/plain)
2019-08-09 15:28 UTC, Toralf Förster
Details
dev-python:grpcio-1.22.0:20190809-014608.log (dev-python:grpcio-1.22.0:20190809-014608.log,33.44 KB, text/plain)
2019-08-09 15:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,58.73 KB, text/plain)
2019-08-09 15:28 UTC, Toralf Förster
Details
environment (environment,111.35 KB, text/plain)
2019-08-09 15:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.86 KB, application/x-bzip)
2019-08-09 15:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,28.00 KB, application/x-bzip)
2019-08-09 15:28 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-09 15:28:15 UTC
x86_64-pc-linux-gnu-g++ -O2 -pipe -march=native -fPIC -DOPENSSL_NO_ASM=1 -D_WIN32_WINNT=1536 -DHAVE_CONFIG_H=1 -DGRPC_ENABLE_FORK_SUPPORT=1 -DPyMODINIT_FUNC=extern "C" __attribute__((visibility ("default"))) void -DGRPC_POSIX_FORK_ALLOW_PTHREAD_ATFORK=1 -Isrc/python/grpcio -Iinclude -I. -I/usr/include/openssl -I/usr/include -Ithird_party/nanopb -I/usr/include -Ithird_party/address_sorting/include -I/usr/include/python2.7 -c src/core/lib/gpr/log_linux.cc -o python_build/temp.linux-x86_64-2.7/src/core/lib/gpr/log_linux.o -std=c++11 -std=gnu99 -fvisibility=hidden -fno-wrapv -fno-exceptions -DPB_FIELD_32BIT -pthread
cc1plus: warning: command line option ‘-std=gnu99’ is valid for C/ObjC but not for C++
src/core/lib/gpr/log_linux.cc:43:13: error: ambiguating new declaration of ‘long int gettid()’
   43 | static long gettid(void) { return syscall(__NR_gettid); }
      |             ^~~~~~
In file included from /usr/include/unistd.h:1170,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-abi32+64-20190807-151919

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 3.13.0 [icedtea-8]
*)	IcedTea JDK 3.12.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8  system-vm

emerge -qpvO dev-python/grpcio
[ebuild  N    ] dev-python/grpcio-1.22.0  PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
Comment 1 Toralf Förster gentoo-dev 2019-08-09 15:28:18 UTC
Created attachment 586302 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-09 15:28:21 UTC
Created attachment 586304 [details]
dev-python:grpcio-1.22.0:20190809-014608.log
Comment 3 Toralf Förster gentoo-dev 2019-08-09 15:28:23 UTC
Created attachment 586306 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-08-09 15:28:26 UTC
Created attachment 586308 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-08-09 15:28:29 UTC
Created attachment 586310 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-08-09 15:28:31 UTC
Created attachment 586312 [details]
temp.tbz2
Comment 7 Georgy Yakovlev gentoo-dev 2019-08-09 18:51:24 UTC
seems to be glibc-2.30 related,

no /usr/include/bits/unistd_ext.h on 2.29

src/core/lib/gpr/log_linux.cc:43:13: error: ambiguating new declaration of ‘long int gettid()’
   43 | static long gettid(void) { return syscall(__NR_gettid); }
      |             ^~~~~~
In file included from /usr/include/unistd.h:1170,
                 from src/core/lib/gpr/log_linux.cc:41:
/usr/include/bits/unistd_ext.h:34:16: note: old declaration ‘__pid_t gettid()’
   34 | extern __pid_t gettid (void) __THROW;
      |                ^~
Comment 8 Georgy Yakovlev gentoo-dev 2019-08-09 18:55:34 UTC
CC jason as it'll probably affect bazel and tensorflow

https://github.com/bazelbuild/bazel/issues/8666


I'm gonna try adding the patch from upstream PR 18950
Comment 9 Larry the Git Cow gentoo-dev 2019-08-17 03:00:37 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a94193d84ea05860027ae893ec21f294725ffec9

commit a94193d84ea05860027ae893ec21f294725ffec9
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-08-17 02:58:15 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-08-17 03:00:18 +0000

    dev-python/grpcio: drop 1.22.0
    
    Bug: https://bugs.gentoo.org/691836
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-python/grpcio/Manifest             |  1 -
 dev-python/grpcio/grpcio-1.22.0.ebuild | 38 ----------------------------------
 2 files changed, 39 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=651bc374e6fcbd269314892ac44adb1ac5e37833

commit 651bc374e6fcbd269314892ac44adb1ac5e37833
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-08-17 02:28:07 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-08-17 02:59:55 +0000

    dev-python/grpcio: bump to 1.22.1
    
    Bug: https://bugs.gentoo.org/691836
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-python/grpcio/Manifest             |  1 +
 dev-python/grpcio/grpcio-1.22.1.ebuild | 40 ++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d79c4095a579f9f218f8075d940767428e4fa2e2

commit d79c4095a579f9f218f8075d940767428e4fa2e2
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-08-17 02:25:28 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-08-17 02:59:53 +0000

    dev-python/grpcio: bump to 1.23.0
    
    Bug: https://bugs.gentoo.org/691836
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-python/grpcio/Manifest                         |  1 +
 .../files/grpc-1.22.1-glibc-2.30-compat.patch      | 78 ++++++++++++++++++++++
 dev-python/grpcio/grpcio-1.23.0.ebuild             | 40 +++++++++++
 3 files changed, 119 insertions(+)
Comment 10 Georgy Yakovlev gentoo-dev 2019-08-17 03:01:48 UTC
patch committed for 1.22.1 and 1.23.0
Comment 11 Georgy Yakovlev gentoo-dev 2020-02-16 21:06:05 UTC
closing as we don't have affected versions anymore.